Subject: Re: git clone does not understand insteadOf URLs

From: Gioele Barabucci <[email-masked]>
Date: Sun, 26 May 2013 19:55:01 +0200

Il 26/05/2013 17:13, Elia Pinto ha scritto:
 >>       $ git clone remote-repo/ProjectA.git
 >>       fatal repository 'remote-repo/ProjectA.git' does not exist
 >
> Why someone should be do something like this ? What is the use case ?

Simple, I keep all my projects on the same server, so I would like to 
refer to that server + path using 'remote-repo'.

"git+ssh://git.example.org//users/gioele/projects" insteadOf "remote-repo"

I also helps me when I move all the projects from one path to another in 
the remote server: I only need to change the path once in `~/.gitconfig`.

Please note that `git remote add` correctly understands 
'remote-repo/ProjectA.git'. I was expecting that `clone` and `remote` 
both used the same code to parse paths.

Regards,

-- 
Gioele Barabucci <[email-masked]>